Subject: bug#5769: closed (Re: bug#5769: 23.1; Emacs crash on Windows 7 right after startup)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 17 Feb 2013 03:12:01 +0000

Your bug report

#5769: 23.1; Emacs crash on Windows 7 right after startup

which was filed against the emacs,w32 package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
5769: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5769
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5769: 23.1; Emacs crash on Windows 7 right after startup
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sat, 16 Feb 2013 22:10:22 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Sorry, I don't think anything can be done with report as it stands.
If it still happens with the current version of Emacs (currently 24.2),
please make a new report and hopefully we do better next time.

Subject: 23.1; Emacs crash on Windows 7 right after startup
From: Tamas Czinege <[email-masked]>
To: [email-masked]
Date: Wed, 24 Mar 2010 20:41:16 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On launching Emacs 23.1.0 on Windows 7 32bit (using the official build), Emacs
crashes right after displaying the Emacs window. Using
a debugger, I got the following information:

Unhandled exception at 0x0109cf0d in emacs.exe: 0xC0000005: Access
violation writing location 0x0242fffc.

Stack trace:

> emacs.exe!0109cf0d()
  [Frames below may be incorrect and/or missing, no symbols loaded for
emacs.exe]
  emacs.exe!0101872f()
  emacs.exe!01014fd4()
  emacs.exe!01016e4f()
  emacs.exe!01014fd4()
  emacs.exe!0113587a()
  emacs.exe!01055527()
  emacs.exe!01057517()
  emacs.exe!01100ea6()
  emacs.exe!0108c141()
  emacs.exe!0106b63f()
  emacs.exe!010029c6()
  msvcrt.dll!7721a442()
  msvcrt.dll!7721f4d2()
  msvcrt.dll!77221162()
  msvcrt.dll!77275bbc()
  msvcrt.dll!772215a0()
  emacs.exe!01004c5b()

Note that the problem can be temporarily worked around by adding
the following line to my .emacs:

(setq inhibit-splash-screen t)

or just invoking Emacs with --no-splash. That allows emacs
starting up, but it still crashes in a minute or so, apparently
completely randomly. Note that this still happens even
when invoked with -q --no-site-file.
I'm not sure if this is a bug or there's something wrong
with my installation but it offers no apparent clue if that's
the case.

In GNU Emacs 23.1.1 (i386-mingw-nt6.1.7600)
 of 2009-07-30 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 6.1.7600
configured using `configure --with-gcc (4.4)'
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENG
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t
Major mode: Lisp Interaction
Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
Recent input:
<help-echo> <help-echo> <help-echo> M-x e <backspace>
r e p o r t <kp-subtract> e m a c s <kp-subtract> b
u g <return>
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.